/*
 * my_AI_defines.h
 *
 *  Created on: Mar 13, 2020
 *      Author: SofianeAOUCI
 */

#ifndef INC_MY_AI_DEFINES_H_
#define INC_MY_AI_DEFINES_H_

#include "app_x-cube-ai.h"
#include "main.h"
#include "ai_datatypes_defines.h"

//static ai_u8 _activations[AI_HWD_DATA_ACTIVATIONS_SIZE];
//const ai_float in7[28][28] = {{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,  84, 185, 159, 151,  60,  36,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0, 222, 254, 254, 254, 254, 241, 198, 198, 198, 198, 198, 198, 198, 198, 170,  52,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,  67, 114,  72, 114, 163, 227, 254, 225, 254, 254, 254, 250, 229, 254, 254, 140,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  17,  66, 14,  67,  67,  67,  59,  21, 236, 254, 106,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,  83, 253, 209,  18,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,  22, 233, 255,  83,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0, 129, 254, 238,  44,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,  59, 249, 254,  62,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0, 133, 254, 187,   5,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   9, 205, 248,  58,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0, 126, 254, 182,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,  75, 251, 240,  57,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 19, 221, 254, 166,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   3, 203, 254, 219,  35,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  38, 254, 254,  77,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 224, 254, 115,   1,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 133, 254, 254,  52,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  61, 242, 254, 254,  52,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 254, 254, 219,  40,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 254, 207, 18,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}};
//const ai_float in2[28][28] = {{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 116, 125, 171, 255, 255, 150,  93,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0, 169, 253, 253, 253, 253, 253, 253, 218,  30,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0, 169, 253, 253, 253, 213, 142, 176, 253, 253, 122,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,  52, 250, 253, 210,  32,  12, 0,   6, 206, 253, 140,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,  77, 251, 210,  25,   0,   0, 0, 122, 248, 253,  65,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,  31,  18,   0,   0,   0, 0, 209, 253, 253,  65,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 117, 247, 253, 198,  10,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  76, 247, 253, 231,  63,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 128, 253, 253, 144,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 176, 246, 253, 159,  12,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  25, 234, 253, 233,  35,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 198, 253, 253, 141,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,  78, 248, 253, 189, 12,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,  19, 200, 253, 253, 141, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0, 134, 253, 253, 173,  12, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0, 248, 253, 253,  25,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0, 248, 253, 253,  43,  20, 20,  20,  20,   5,   0,   5,  20,  20,  37, 150, 150, 150, 147, 10,   0}, {  0,   0,   0,   0,   0,   0,   0,   0, 248, 253, 253, 253, 253, 253, 253, 253, 168, 143, 166, 253, 253, 253, 253, 253, 253, 253, 123,   0}, {  0,   0,   0,   0,   0,   0,   0,   0, 174, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 253, 249, 247, 247, 169, 117, 117, 57,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0, 118, 123, 123, 123, 166, 253, 253, 253, 155, 123, 123,  41,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}, {  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 0,   0}};
//const ai_float in5[28][28] = {{0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	255,	255,	255,	255,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	255,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	255,	255,	255,	255,	255,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	255,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}, {0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0}};
ai_float out[AI_ASL_OUT_1_SIZE] = {0};
int8_t Result = -1;

extern ai_float* in;
extern UART_HandleTypeDef huart3;

#endif /* INC_MY_AI_DEFINES_H_ */
